Bug 122903 - Update port: net/iscsi-target
Summary: Update port: net/iscsi-target
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-19 08:20 UTC by mark
Modified: 2008-05-02 21:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mark 2008-04-19 08:20:01 UTC
	Fixes sparc64 & ppc bug with patch provided by ports/122898
Also adds a pkg-message and minor tweak to pkg-plist

Fix: 

-- 
Said one park ranger, 'There is considerable overlap between the
  intelligence of the smartest bears and the dumbest tourists.'
Mark D. Foster, CISSP <mark@foster.cc>  http://mark.foster.cc/--f8ti8EeNn76FVEcTX68sbqmftomjdxIkp9b1zhLOeSKTKcLP
Content-Type: text/plain; name="iscsi-target-20080207_2.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="iscsi-target-20080207_2.patch"

diff -urN iscsi-target.old/Makefile iscsi-target/Makefile
--- iscsi-target.old/Makefile	2008-03-16 04:16:11.000000000 -0700
+++ iscsi-target/Makefile	2008-04-18 22:27:04.000000000 -0700
@@ -7,7 +7,7 @@

  PORTNAME=	iscsi
  PORTVERSION=	20080207
-PORTREVISION=	1
+PORTREVISION=	2
  CATEGORIES=	net
  MASTER_SITES=	ftp://ftp.netbsd.org/pub/pkgsrc/distfiles/ \
  		http://www.magnesium.net/~mdf/distfiles/
@@ -55,3 +55,4 @@
  .endfor

  .include <bsd.port.mk>
+	@${CAT} ${PKGMESSAGE}
diff -urN iscsi-target.old/files/patch-iscsiutil 
iscsi-target/files/patch-iscsiutil
--- iscsi-target.old/files/patch-iscsiutil	1969-12-31 16:00:00.000000000 
-0800
+++ iscsi-target/files/patch-iscsiutil	2008-04-18 21:35:31.000000000 -0700
@@ -0,0 +1,23 @@
+--- ../include/iscsiutil.h	2007-11-12 15:25:40.000000000 -0800
++++ ../include/iscsiutil.h	2008-04-18 21:31:18.000000000 -0700
+@@ -77,16 +77,20 @@
+ #define ISCSI_HTONLL6(x) (uint64_t) \
+       ( ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x0000ff0000000000uLL) 
 >> 40))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x000000ff00000000uLL) 
 >> 24))     \
++      | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0xffffffffffff0000uLL) 
 >> 16))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x00000000ff000000uLL) 
 >> 8))      \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x0000000000ff0000uLL) 
<< 8))      \
++      | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x0000ffffffffffffuLL) 
<< 16))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x000000000000ff00uLL) 
<< 24))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x00000000000000ffuLL) 
<< 40)))
+
+ #define ISCSI_NTOHLL6(x) (uint64_t) \
+       ( ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x0000ff0000000000uLL) 
 >> 40))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x000000ff00000000uLL) 
 >> 24))     \
++      | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0xffffffffffff0000uLL) 
 >> 16))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x00000000ff000000uLL) 
 >> 8))      \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x0000000000ff0000uLL) 
<< 8))      \
++      | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x0000ffffffffffffuLL) 
<< 16))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x000000000000ff00uLL) 
<< 24))     \
+       | ((uint64_t)( ((uint64_t)(x) & (uint64_t)0x00000000000000ffuLL) 
<< 40)))
+
diff -urN iscsi-target.old/pkg-message iscsi-target/pkg-message
--- iscsi-target.old/pkg-message	1969-12-31 16:00:00.000000000 -0800
+++ iscsi-target/pkg-message	2008-04-05 09:13:29.000000000 -0700
@@ -0,0 +1,3 @@
+To run iscsi-target server from startup, add iscsi_target_enable="YES"
+to /etc/rc.conf. Extra options can be found in startup script.
+
diff -urN iscsi-target.old/pkg-plist iscsi-target/pkg-plist
--- iscsi-target.old/pkg-plist	2006-10-07 08:25:26.000000000 -0700
+++ iscsi-target/pkg-plist	2008-04-18 21:42:30.000000000 -0700
@@ -14,4 +14,4 @@
  @unexec if cmp -s %D/etc/iscsi/passwd.sample  %D/etc/iscsi/passwd; 
then rm -f %D/etc/iscsi/passwd;  fi
  etc/iscsi/passwd.sample
  @exec if [ ! -f %D/etc/iscsi/passwd  ] ; then cp -p %D/%F %B/passwd;  fi
-@dirrm etc/iscsi
+@dirrmtry etc/iscsi
Comment 1 Martin Wilke freebsd_committer 2008-04-28 11:25:10 UTC
State Changed
From-To: open->feedback

Hi Mark, 

The provided patch does not patch cleanly,  Can you please investigate and re-submit? 

patch: **** malformed patch at line 33:  >> 40)) 

Thanks Martin 



Comment 2 Martin Wilke freebsd_committer 2008-04-28 11:25:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Track
Comment 3 dfilter service freebsd_committer 2008-05-02 21:11:52 UTC
miwi        2008-05-02 20:11:48 UTC

  FreeBSD ports repository

  Modified files:
    net/iscsi-target     Makefile 
  Added files:
    net/iscsi-target     pkg-message 
    net/iscsi-target/files patch-iscsiutil 
  Log:
  - Add pkg-message
  - Fix sparc64 & ppc bug
  
  PR:             122903
  Submitted by:   Mark D. Foster <mark@foster.cc> (maintainer)
  
  Revision  Changes    Path
  1.12      +2 -1      ports/net/iscsi-target/Makefile
  1.1       +23 -0     ports/net/iscsi-target/files/patch-iscsiutil (new)
  1.1       +3 -0      ports/net/iscsi-target/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2008-05-02 21:11:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!